package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantStore;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussMerchantStoreMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantStore record);

    int insertSelective(TbPlussMerchantStore record);

    TbPlussMerchantStore selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantStore record);

    int updateByPrimaryKey(TbPlussMerchantStore record);

    TbPlussMerchantStore getStoreByMerchantCode(String merchantCode);

    TbPlussMerchantStore selectByIdOrMerchantCode(@Param("id") Integer id,@Param("merchantCode") String merchantCode);
}